Name: x11-driver-video-chips
Version: 1.2.5
Release: %mkrel 3
Summary: X.org driver for Chips and Technologies
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-chips-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Patch1: 0001-Import-existing-patches-that-were-originally-Red-Ha.patch
Patch2: x11-driver-video-chips-1.2.5-debian-iopl_h.patch

%description
x11-driver-video-chips is the X.org driver for Chips and Technologies boards.

%prep
%setup -q -n xf86-video-chips-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xorg/modules/drivers/chips_drv.la
%{_libdir}/xorg/modules/drivers/chips_drv.so
%{_mandir}/man4/chips.*




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.2.5-3.mga3
+ Revision: 385977
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.2.5-2.mga3
+ Revision: 288955
- rebuild for new xserver

* Thu Aug 30 2012 tv <tv> 1.2.5-1.mga3
+ Revision: 285782
- add missing iopl.h (debian fix through mdv)
- drop patch 0 (merged)
- new release

* Wed Jun 06 2012 tmb <tmb> 1.2.4-7.mga3
+ Revision: 256384
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.2.4-6.mga3
+ Revision: 253005
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.2.4-5.mga3
+ Revision: 250245
- rediff for clean apply
- use %%apply_patches exclusively
- patch for new X.org server ABI
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 1.2.4-4.mga2
+ Revision: 177555
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.2.4-3.mga2
+ Revision: 153115
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.2.4-2.mga1
+ Revision: 64390
- rebuild for new xserver-1.10

* Tue Mar 01 2011 tv <tv> 1.2.4-1.mga1
+ Revision: 62105
- new release

* Fri Feb 11 2011 tmb <tmb> 1.2.3-3.mga1
+ Revision: 50194
- imported package x11-driver-video-chips

